关闭

新版ADT创建项目时出现appcompat_v7\bin(missing),ppcompat_v7/gen(missing)的问题

标签: appcompat_v7binmissippcompat_v7genmissinADT
2205人阅读 评论(0) 收藏 举报

前言:最近想玩下安卓,玩下也是需要代价的,zf封了网络,刚开始sdk下载,没翻墙下不了,翻墙用本地hosts文件解决。虚拟机也装好了。最后出现这问题了,上网查了下资料。折磨,总结了下,希望给想上手的朋友提供点资料。

一:分析问题

1-新建Android项目“CzjTest",一路默认next下去,最后“Finish”完成项目的创建。关键的图说明下,其他的不截了。


2:如下图所示,CzjTest项目出现红色叹号(appcompat_v7\bin(missing)报错 ),(如果之前没有appcompat_v7),增加项目的同时也会默认新建appcompat_v7.
appcompat_v7也出现红色叹号,有些网友的会出现叉号(ppcompat_v7/gen(missing) 报错)




二:问题来了,那么解决问题
1-先解决appcompat_v7项目问题
  1.1-出现红色的叹号的,appcompat_v7项目右键--Build Path--Configure Build Path--Order and Export--Select All --OK.参考下面的
  "二:1.1"图,这时项目的错误会出现叉号。参考1.2

 1.2-出现叉号的,选中项目--工具栏的Project-Clean--ok .这时候项目就不会出现问题了。参考"二:1.2"图


2再解决CzjTest项目问题
2.1-出现叉号的,选中项目--工具栏的Project-Clean--ok .这时候项目就不会出现问题了。参考"二:2.1"

3-搞定问题


4-运行程序
项目--右键run as - run Configfigurations-下图   -Run

没有插件模拟器的看这里


运行成功


三:另外解决办法

如果不需要兼容4.0以下的低版本的话, 不依赖appcompat_v7包 ,既然appcompat_v7包是一个能让2.1以上全使用上4.0版本的界面的支持库,建项目时直接把最小SDK选在Android4.0以上,项目就正常创建了。




0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:6683次
    • 积分:132
    • 等级:
    • 排名:千里之外
    • 原创:7篇
    • 转载:0篇
    • 译文:0篇
    • 评论:0条
    文章分类
    文章存档